html.dragging {
	cursor: -webkit-grabbing !important;
	cursor: -moz-grabbing !important;
	cursor:grabbing !important;
}

.carousel {
	position: relative;
}

.carousel .viewport_wrapper {
	position: relative;
}

.carousel .viewport {
	margin: 0 auto;
	overflow: hidden;
	transition: all ease 0.5s;
    user-select: none;

    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;

	-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}
.carousel .viewport.draggable {
	cursor: -webkit-grab;
	cursor: -moz-grab;
	cursor: grab;
}
.carousel .viewport.dragging {
	cursor: -webkit-grabbing;
	cursor: -moz-grabbing;
	cursor: grabbing;
	transition: all ease 0s;

	-webkit-transition: all ease 0s;
    -moz-transition: all ease 0s;
    -ms-transition: all ease 0s;
}

.carousel .viewport .groups {
	position: relative;
	transition: left ease 0.5s;

	-webkit-transition: left ease 0.5s;
    -moz-transition: left ease 0.5s;
    -ms-transition: left ease 0.5s;
}
.carousel .viewport.dragging .groups {
	transition: left ease 0s;

	-webkit-transition: left ease 0s;
    -moz-transition: left ease 0s;
    -ms-transition: left ease 0s;
}

.carousel .viewport .groups .group {
	float:left;
}

.carousel .viewport .groups .group .inner:after {
	content: '';
	clear: both;
	display: block;
}

.carousel  article {
	display: none;
} 
.carousel.start article {
	border-spacing: 0;
	box-sizing: border-box;
	display: block;
	float: left;
	padding: 0;
	position: relative;
	
    -webkit-flex-wrap: wrap;
}

.carousel img {
	user-drag: none; 
	-moz-user-select: none;
	-webkit-user-drag: none;
}

.carousel .viewport_wrapper .arrow {
	cursor: pointer;
	height: 100%;
	opacity: 0;
	position: absolute;
	text-align: center;
	transition: opacity ease 0.5s;
	top: 0;
	visibility: hidden;
	width: 40px;

	-webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;

	-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.carousel .viewport_wrapper .arrow .icon {
	background: #000;
	height: 36px;
	margin-top: -17px;
	position: absolute;
    top: 50%;
	width: 36px;
}
.carousel:hover .viewport_wrapper .arrow {
	opacity: 1;
	visibility: visible;
}
.carousel .viewport_wrapper .arrow.left {
	left: -40px;
}
.carousel .viewport_wrapper .arrow.right {
	right: -40px;
}
.carousel .viewport_wrapper .arrow.left .icon {
	left: 0;
}
.carousel .viewport_wrapper .arrow.right .icon {
	right: 0;
}
.carousel:hover .viewport_wrapper .arrow.disabled {
	opacity: 0.3;
}

.carousel .paging {
	padding: 2px 0 0;
	margin: 0 -2px;
	position: relative;
	text-align: center;
}
.carousel .paging:after {
	content: '';
	clear: both;
	display: block;
}

.carousel .paging .page {
	border: 2px solid #fff;
	box-sizing: border-box;
	cursor: pointer;
	float:left;
    user-select: none;
    vertical-align: middle;
    margin: 0;
	
	-webkit-box-sizing: border-box;
	-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -moz-box-sizing: border-box;
    -ms-user-select: none;
}
.carousel .paging .page.thumbnail {
	background-color: #000;
	background-position: center;
    background-size: cover;
	padding-bottom: 17%;
	opacity: 0.5;
	vertical-align: middle;
	width: 25%;

	-webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
}
.carousel .paging .page.thumbnail.active {
	opacity: 1;
}

.carousel .viewport .groups:after,
.carousel .viewport .groups .group:after,
.carousel .paging:after {
	content: '';
	clear: both;
	display: block;
}